export interface IOrientation {
  type?: string;
  accompanimentType?: string;
  need: string[];
  personOriented: { name: string; surname: string; email?: string; phone?: string };
  address?: { numero: string; street: string; postcode: string; commune: string; inseeCode: string };

  structureChoice: string[];
  socialWorker?: string;
  dateSlot?: { day: string; hours: string };
  language?: 'Français' | 'Anglais' | 'Arabe' | null;
  pmr?: boolean;
  comments?: string;
  orientator: string;
  structureOrientator: string | { structureName: string; structureMail: string; structurePhone: string };
  status: 'new' | 'waiting' | 'appointmentBooked' | 'appointmentDatePassed' | 'completed' | 'uncompleted' | 'expired';
  action: 'acknowledge' | 'defineAppointment' | 'waitAppointment' | 'waitVisit' | 'closeRDV';
  modifiedBy?: string;
  appointmentDate?: string;
  processingComment?: string;
}
